Skip to main content
`Ctrl`+`K`

# TSSundialsMonitorInternalSteps

Monitor `TSSUNDIALS` internal steps (Defaults to false).

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsMonitorInternalSteps(TS ts, PetscBool ft)

## Input Parameters

- ts - the time-step context

- ft - `PETSC_TRUE` if monitor, else `PETSC_FALSE`

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`

## Level

beginner

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsMonitorInternalSteps_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages